<?php
	session_start();
	if (!isset($_SESSION['email'])) {
	    header('Location: login.php');
		return;
	}
	
	ini_set('display_errors', 'On');
	error_reporting(E_ERROR);

	// include db config class
	require_once __DIR__ . '/db_config.php';

	// Return if not logged in

	if (!isset($_SESSION["distance_unit"]) || $_GET["force"] == 1) {
		// not set, fetch from the DB and add to the session
		$con = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);

		$query = "SELECT distance, volume, consumption, currency FROM SETTINGS WHERE USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."')";
		$result = $con->query($query);
		
		if ($result->num_rows > 0) {
		    $row = $result->fetch_assoc();
			$_SESSION["distance_unit"] = $row["distance"];
			$_SESSION["volume_unit"] = preg_replace('/(\w+)\s*\(.*/', '$1', $row["volume"]);
			$_SESSION["consumption_unit"] = preg_replace('/(\w+)\s*\(.*/', '$1', $row["consumption"]);
			$_SESSION["currency"] = $row["currency"];
		}

		$query = "SELECT fuel_brand, octane, filling_station FROM LOG_TABLE WHERE TYPE = 0 AND USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."') ORDER BY _ID DESC";
		$result = $con->query($query);
		
		if ($result->num_rows > 0) {
		    $row = $result->fetch_assoc();
			$_SESSION["last_brand"] = $row["fuel_brand"];
			$_SESSION["last_octane"] = $row["octane"];
			$_SESSION["last_filling_station"] = $row["filling_station"];
		}
	}
?>
{
	"email": "<?= $_SESSION["email"] ?>",
	"name": "<?= $_SESSION["name"] ?>",
	"distance": "<?= $_SESSION["distance_unit"] ?>",
	"volume": "<?= $_SESSION["volume_unit"] ?>",
	"consumption": "<?= $_SESSION["consumption_unit"] ?>",
	"currency": "<?= $_SESSION["currency"] ?>",
	"last_brand": "<?= $_SESSION["last_brand"] ?>",
	"last_octane": "<?= $_SESSION["last_octane"] ?>",
	"last_filling_station": "<?= $_SESSION["last_filling_station"] ?>"
}