<?php
session_start();
ini_set('display_errors', 'On');
error_reporting(E_ERROR);

// include db config class
require_once __DIR__ . '/db_config.php';

function getId($email) {
	$results = array();
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$query = "SELECT USER_ID FROM USER_ID WHERE EMAIL = '{$email}'";
	$result = $conn->query($query);
	console.log($result);
	while($row = $result->fetch_assoc()) {
		return $row["USER_ID"];
    }
	return "";
}

function getServiceNames() {
	$results = array();
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$query = "SELECT distinct service_name FROM SERVICE_TABLE WHERE vehid = '".$_GET["vehid"]."' AND TYPE = 1 AND USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."')";
	$result = $conn->query($query);
	while($row = $result->fetch_assoc()) {
		array_push($results, $row["service_name"]);
    }
	mysqli_close($conn);
	return $results;
}

function getExpenseNames() {
	$results = array();
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$query = "SELECT distinct service_name FROM SERVICE_TABLE WHERE vehid = '".$_GET["vehid"]."' AND TYPE = 2 AND USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."')";
	$result = $conn->query($query);
	while($row = $result->fetch_assoc()) {
		array_push($results, $row["service_name"]);
    }
	mysqli_close($conn);
	return $results;
}

function getTripTypes() {
	$results = array();
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$query = "SELECT distinct service_name FROM SERVICE_TABLE WHERE vehid = 'All' AND TYPE = 3 AND USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."')";
	$result = $conn->query($query);
	while($row = $result->fetch_assoc()) {
		array_push($results, $row["service_name"]);
    }
	mysqli_close($conn);
	return $results;
}

function getMaxOdo() {
	$results = array();
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$query = "SELECT MAX(odo) as result FROM LOG_TABLE WHERE vehid = '".$_GET["vehid"]."' AND USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."')";
	error_log("Run query".$query);
	$result = $conn->query($query);
	$maxOdo = 0;
	while($row = $result->fetch_assoc()) {
		$maxOdo = $row["result"];
    }
	mysqli_close($conn);
	return $maxOdo;
}

function getDateClause() {
	$dateClause = "";
	if (isset($_GET["startDate"]) && isset($_GET["endDate"])) {
		$dateClause = " AND date >= ".$_GET["startDate"]." AND date < ".$_GET["endDate"]." ";
	}
	return $dateClause;
}

function getUserAndVehicleClause() {
	return " VEHID = '".$_GET["vehid"]."' AND USER_ID = (SELECT USER_ID FROM USER_ID WHERE EMAIL = '".$_SESSION['email']."') ";
}

function getMaxTripTypeByDistance() {
	
	$data = array();
	$data["type"] = "N/A";
	$data["dist"] = 0;
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$clause = " ".getUserAndVehicleClause()." ".getDateClause()." ";
	$query = "SELECT service_type, SUM(dist) as dist FROM (SELECT service_type, (qty - odo) as dist from LOG_TABLE WHERE ".$clause." AND TYPE = 3) as temp_max GROUP BY service_type ORDER BY dist desc limit 1";
	$result = $conn->query($query);
	
	$maxTripTypeByDistance = "N/A";
	while($row = $result->fetch_assoc()) {
		$data["type"] = $row["service_type"];
		$data["dist"] = $row["dist"];
    }
	mysqli_close($conn);
	return $data;
}

function getMaxTripTypeByTaxDeduction() {
	
	$data = array();
	$data["type"] = "N/A";
	$data["cost"] = 0;
	$conn = mysqli_connect(DB_SERVER,DB_USER,DB_PASSWORD,DB_DATABASE);
	$clause = " ".getUserAndVehicleClause()." ".getDateClause()." ";
	$query = "SELECT service_type, SUM(cost) as cost from LOG_TABLE WHERE ".$clause."  AND TYPE = 3 GROUP BY service_type ORDER BY cost desc limit 1";
	$result = $conn->query($query);
	$maxTripTypeByDistance = "N/A";
	while($row = $result->fetch_assoc()) {
		$data["type"] = $row["service_type"];
		$data["cost"] = $row["cost"];
    }
	mysqli_close($conn);
	return $data;
}

if ($_GET["utilfunc"]) {
	$data = $_GET["utilfunc"]();
	foreach ($data as $key => $val) {
		echo $key." = ".$val;
	}
}
?>