<!-- Page Heading -->
<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">
            Log
        </h1>
    </div>
</div>
<!-- /.row -->
							   
<div class="row">
    <div class="col-lg-9">
        <div class="panel panel-default" style="background-color: #3c3e47 !important;">
            <div class="panel-body">
				
				<!-- Add and Filter buttons -->
				<p>
					<div class="text-right">
						<button type="button" class="btn btn-blue" id="search_btn">Filter</button> 
						<div class="btn-group">
							<button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								Add <span class="caret"></span>
							</button>
							<ul class="dropdown-menu">
								<li><a class="add-log-button" data-logtype="0">Fill-Up</a></li>
								<li><a class="add-log-button" data-logtype="1">Service</a></li>
								<li><a class="add-log-button" data-logtype="2">Expense</a></li>
							</ul>
						</div>
					</div>
				</p>
		
				<!-- Search Box -->
				<div class="panel panel-default" id="search_box" style="display:none">
					<div class="panel-body">
						<form class="form-horizontal">
							<div class="form-group">
								<label class="control-label col-sm-2">Record Type:</label>
								<div class="col-sm-4">
				                    <select id="service_type_search_dropdown" class="select-inline form-control">
				                        <option value="">All</option>
										<option value="0">Fill-Up Records</option>
										<option value="1">Service Records</option>
										<option value="2">Expense Records</option>
										<option value="3">Trip Records</option>
				                    </select>
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-sm-2">Date:</label>
								<div class="col-sm-10 form-inline">
				                    <select id="date_search_dropdown" class="select-inline form-control">
				                        <option value="gt">Greater than</option>
										<option value="lt">Less than</option>
										<option value="eq">Equals</option>
				                    </select>

									<input class="span2 form-control" size="16" type="text" id="search_date_picker" value="12-02-2012">
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-sm-2">Odometer:</label>
								<div class="col-sm-10 form-inline">
				                    <select id="odometer_search_dropdown" class="form-control">
				                        <option value="gt">Greater than</option>
										<option value="lt">Less than</option>
										<option value="eq">Equals</option>
				                    </select>
									<input type="number" id="odometer_search_input" class="form-control" />
								</div>
							</div>
							<div class="form-group">
								<label class="control-label col-sm-2">Notes: </label>
								<div class="col-sm-6">
									<input id="search_logs_input" class="form-control">
								</div>
							</div>	
							<br />
							<br />
							<div class="form-group">
								<label class="control-label col-sm-2">Sort By: </label>
								<div class="col-sm-10 form-inline">
				                    <select id="search_sort" class="form-control">
				                        <option value="date">Date</option>
										<option value="cost">Cost</option>
										<option value="odo">Odometer</option>
				                    </select>					
								</div>
							</div>
							<p>
								<div class="text-right">
									<button type="button" class="btn btn-default" id="reset_search_btn">Reset</button> 
									<button type="button" class="btn btn-primary" id="do_search_btn">Apply</button> 
								</div>
							</p>
						</form>
					</div>
				</div>
					
				<!-- Main logs table -->
                <div class="table-responsive">
                    <table id="logs_table" class="logs-table table" style="background-color: #3c3e47 !important;">
                        <tbody>
                            <!-- Dynamically retrieved logs go here -->
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
	
	<!-- Add Modal -->
	<div class="modal fade" id="add_modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog darktheme" role="document">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	        <h4 class="modal-title"><span id="add_modal_title">Base Add Modal</span></h4>
	      </div>
	      <div class="modal-body" id="add_modal_body">	
  	      </div>
	      <div class="modal-footer">
            <div id="add-log-error" class="alert alert-danger" role="alert" style="display:none"></div>
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	        <button id="add-log-submit-button" type="button" class="btn btn-primary">Submit</button>
	      </div>
  	    </div>
  	  </div>
  	</div>
