<?php

try {

	$user_id = 1;
	if ($_POST["_id"] === "NEW") {

	    error_log("INSERTING");
		$vehid = $_POST["make"]." ".$_POST["model"];
		$vehid_user = $user_id."-".$vehid;


		$info = pathinfo($_FILES['file-0']['name']);
		$ext = $info['extension']; // get the extension of the file

		$target = "imagestore/service-".$vehid_user.".".$ext;

		move_uploaded_file($_FILES['file-0']['tmp_name'], $target);


		$db = new SQLite3('fuelbuddy.db');

		$stmt = $db->prepare('INSERT INTO main.log_table(USER_ID,VEHID,ODO,TYPE,SERVICE_TYPE,FILLING_STATION,COST,NOTES,RECEIPT) '.
			'VALUES (:user_id, :vehid, :odo, :type, :service_type, :filling_station, :cost, :notes, :receipt)');
		$stmt->bindValue(':user_id', $user_id);
		$stmt->bindValue(':vehid', $_POST["vehid"]);
		$stmt->bindValue(':odo', $_POST["odo"]);
		$stmt->bindValue(':type', $_POST["type"]);
		$stmt->bindValue(':service_type', $_POST["service_type"]);
		$stmt->bindValue(':filling_station', $_POST["filling_station"]);
		$stmt->bindValue(':cost', $_POST["cost"]);
		$stmt->bindValue(':notes', $_POST["notes"]);
		$stmt->bindValue(':receipt', $target);

		$stmt->execute();

		echo '{"status": "success"}';

	} else {

	    error_log("EDITING");


		$vehid = $_POST["make"]." ".$_POST["model"];
		$vehid_user = $user_id."-".$vehid;


		$info = pathinfo($_FILES['file-0']['name']);
		$ext = $info['extension']; // get the extension of the file

		$target = "imagestore/vehimage-".$vehid_user.".".$ext;

		move_uploaded_file($_FILES['file-0']['tmp_name'], $target);


		$db = new SQLite3('fuelbuddy.db');

		$stmt = $db->prepare('UPDATE main.veh_table SET MAKE = :make, MODEL = :model, LIC = :lic, YEAR = :year,'.
			' VIN = :vin, INSURANCE_NO = :insurance_no, NOTES = :notes WHERE _ID = :_id');
		$stmt->bindValue(':_id', $_POST["_id"]);
		$stmt->bindValue(':make', $_POST["make"]);
		$stmt->bindValue(':model', $_POST["model"]);
		$stmt->bindValue(':lic', $_POST["lic"]);
		$stmt->bindValue(':year', $_POST["year"]);
		$stmt->bindValue(':vin', $_POST["vin"]);
		$stmt->bindValue(':insurance_no', $_POST["insurance_no"]);
		$stmt->bindValue(':notes', $_POST["notes"]);

		$stmt->execute();

		echo '{"status": "success"}';
		

	}
} catch (\Exception $e) {
	echo "{'status': 'error', 'message': 'An error occured on the server. Please re-try this operation or contact support.'}";
}
?>