<?php
	session_start();
	if (!isset($_SESSION['email'])) {
	    header('Location: login.php');
		return;
	}
	
	ini_set('display_errors', 'On');
	error_reporting(E_ERROR);
	
	require '../db/util.php';
?>
<form role="form" id="add_log_form">

		<input type="hidden" id="logId">
		<input type="hidden" id="rec_type" name="rec_type" value="3">
		
		<div class="form-group">
			<label>Type</label>
			<select id="trip_type" class="form-control">
				<?
				foreach (getTripTypes() as $value) {
					echo "<option>".$value."</option>";
				}	
				?>
			</select>
		</div>
				
		<label>Departure</label>
		<div class="row">
	        <div class="form-group col-xs-4">
	            Date <input class="mall-input span2 form-control" size="16" type="text" id="start_date">
			</div>
	        <div class="form-group col-xs-2">
				HH
	            <select id="start_hour" class="form-control">
					<? for ($i = 1; $i <= 12; $i++) { ?>
					<option><?= sprintf('%02d', $i) ?></option>
					<? } ?>
				</select>
			</div>
	        <div class="form-group col-xs-2">
				MM
	            <select id="start_min" class="form-control">
					<? for ($i = 00; $i <= 59; $i++) { ?>
					<option><?= sprintf('%02d', $i) ?></option>
					<? } ?>
				</select>
			</div>
	        <div class="form-group col-xs-2">
				AM/PM
	            <select id="start_ampm" class="form-control">
					<option>AM</option>
					<option>PM</option>
				</select>
			</div>
		</div>
        <div class="form-group">
            <label>Odometer (<?= $_SESSION["distance_unit"] ?>)</label>
            <input class="small-input form-control calculate-tax-deducted" id="start_odo" type="number"> 
        </div>
        <div class="form-group">
            <label>Location</label>
            <input class="small-input form-control" id="start_loc"> 
        </div>
		
		<label>Arrival</label>
		<div class="row">
	        <div class="form-group col-xs-4">
	            Date <input class="mall-input span2 form-control" size="16" type="text" id="end_date">
			</div>
	        <div class="form-group col-xs-2">
				HH
	            <select id="end_hour" class="form-control">
					<? for ($i = 1; $i <= 12; $i++) { ?>
					<option><?= sprintf('%02d', $i) ?></option>
					<? } ?>
				</select>
			</div>
	        <div class="form-group col-xs-2">
				MM
	            <select id="end_min" class="form-control">
					<? for ($i = 00; $i <= 59; $i++) { ?>
					<option><?= sprintf('%02d', $i) ?></option>
					<? } ?>
				</select>
			</div>
	        <div class="form-group col-xs-2">
				AM/PM
	            <select id="end_ampm" class="form-control">
					<option>AM</option>
					<option>PM</option>
				</select>
			</div>
		</div>



        <div class="form-group">
            <label>Odometer (<?= $_SESSION["distance_unit"] ?>)</label>
            <input class="small-input form-control calculate-tax-deducted" id="end_odo" type="number"> 
        </div>
        <div class="form-group">
            <label>Location</label>
            <input class="small-input form-control" id="end_loc"> 
        </div>
        
        <div class="form-group">
            <label>Tax Deduction Rate</label>
            <input id="tax_deduction_rate" class="form-control calculate-tax-deducted" type="number">
        </div>

        <div class="form-group">
            <label>Parking (<?= $_SESSION["currency"] ?>)</label>
            <input id="parking" class="form-control calculate-tax-deducted" type="number">
        </div>
		
        <div class="form-group">
            <label>Toll (<?= $_SESSION["currency"] ?>)</label>
            <input id="toll" class="form-control calculate-tax-deducted" type="number">
        </div>
		
        <div class="form-group">
            <label>Total Tax Deducted (<?= $_SESSION["currency"] ?>)</label>
            <input id="total-tax" class="form-control" readonly>
        </div>

        <div class="form-group">
            <label>Notes</label>
            <textarea id="notes" class="form-control" rows="3" name="notes"></textarea>
        </div>
		
	    <div class="form-group">
	        <label>Image</label>
	        <input id="img_file" type="file" name="img_file">
	    </div>
		
		<div class="form-group" id="current_receipt" style="display:none">
            <label>Current Receipt</label><br />
            <a id="current_receipt_link" href="" target="_new"><img width="100px" height="100px" id="current_receipt_image" class="thumbnail" src=""></img></a>
        </div>
		
    </form>
		
		