CREATE TABLE veh_table(
   USER_ID INT NOT NULL,
   _ID INTEGER PRIMARY KEY AUTOINCREMENT,
   MAKE CHAR(50) NOT NULL,
   MODEL CHAR(50) NOT NULL,
   LIC CHAR(50),
   VEHID CHAR(50) NOT NULL,
   YEAR INT,
   VIN  CHAR(50),
   INSURANCE_NO  CHAR(50),
   NOTES TEXT,
   PICTURE CHAR(255)
);

CREATE TABLE log_table(
  "USER_ID" INT,
  "_ID" INTEGER PRIMARY KEY AUTOINCREMENT,
  "VEHID" TEXT,
  "ODO" REAL,
  "QTY" REAL,
  "PARTIAL_FILL" TEXT,
  "MISSED_FILL" TEXT,
  "COST" REAL,
  "DIST" REAL,
  "CONSUMPTION" TEXT,
  "OCTANE" TEXT,
  "FUEL_BRAND" TEXT,
  "FILLING_STATION" TEXT,
  "NOTES" TEXT,
  "DAY" TEXT,
  "MONTH" TEXT,
  "YEAR" TEXT,
  "RECEIPT" TEXT,
  "TYPE" TEXT,
  "SERVICE_TYPE" TEXT
);