<!-- Page Heading -->
<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">
            Vehicles
        </h1>
    </div>
</div>
<!-- /.row -->
							   
<div class="row">
    <div class="col-lg-9">
        <div class="panel panel-default" style="background-color: #3c3e47 !important;">
            <div class="panel-body">
				
				<!-- Add buttons -->
				<p>
					<div class="text-right">
						<div class="btn-group">
							<button id="add-veh-button" type="button" class="btn btn-primary">
								Add
							</button>
						</div>
					</div>
				</p>
				
				<div id="vehicles_area">
				</div>
				
                <div id="vehicle_template" class="template">
					<div class="row" style="padding:10px;">
	                    <div>
	                        <div class="panel panel-default" style="background-color: #363943;">
	     
		 					  <div class="panel-heading">
								<h3 class="panel-title"><i class="fa fa-car fa-fw"></i>VEHICLE_NAME</h3>
	  						  </div>
							  
	                            <div class="panel-body text-center" style="background-color: #363943;">
	                                <div class="row">
	                                    <img class="img-rounded" width="360" height="240" 
										src="data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs=" alt="">
	                                </div>
	                            </div>
	                            <div class="panel-footer text-right" style="background-color: #363943;">
									<td><a class="edit-veh-button btn btn-primary" data-vehid="VEHICLE_ID" aria-label="Edit"><i class="fa fa-pencil" aria-hidden="true"></i></a> <a class="delete-veh-button btn btn-danger" data-vehid="VEHICLE_ID" data-id="_ID" aria-label="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a></td>
								</div>
	                        </div>
	                    </div>
					</div>
				</div>

			</div>
        </div>
    </div>


	<!-- Add/Edit Modal -->
	<div class="modal fade" id="veh_modal" tabindex="-1" role="dialog">
	  <div class="modal-dialog darktheme" role="document">
	    <div class="modal-content">
	      <div class="modal-header">
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	        <h4 class="modal-title"><span id="veh_modal_title">Vehicle Name</span></h4>
	      </div>
	      <div class="modal-body" id="veh_modal_body">	
  	      </div>
	      <div class="modal-footer">
			<div id="add-vehicle-error" class="alert alert-danger" role="alert" style="display:none"></div>
	        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	        <button id="add-vehicle-submit-button" type="button" class="btn btn-primary">Submit</button>
	      </div>
  	    </div><!-- /.modal-content -->
  	  </div><!-- /.modal-dialog -->
  	</div><!-- /.modal -->