var $jscomp = {
    scope: {}
};
$jscomp.defineProperty = "function" == typeof Object.defineProperties ? Object.defineProperty : function(a, b, c) {
    if (c.get || c.set) throw new TypeError("ES3 does not support getters and setters.");
    a != Array.prototype && a != Object.prototype && (a[b] = c.value)
};
$jscomp.getGlobal = function(a) {
    return "undefined" != typeof window && window === a ? a : "undefined" != typeof global ? global : a
};
$jscomp.global = $jscomp.getGlobal(this);
$jscomp.SYMBOL_PREFIX = "jscomp_symbol_";
$jscomp.initSymbol = function() {
    $jscomp.initSymbol = function() {};
    $jscomp.global.Symbol || ($jscomp.global.Symbol = $jscomp.Symbol)
};
$jscomp.symbolCounter_ = 0;
$jscomp.Symbol = function(a) {
    return $jscomp.SYMBOL_PREFIX + (a || "") + $jscomp.symbolCounter_++
};
$jscomp.initSymbolIterator = function() {
    $jscomp.initSymbol();
    var a = $jscomp.global.Symbol.iterator;
    a || (a = $jscomp.global.Symbol.iterator = $jscomp.global.Symbol("iterator"));
    "function" != typeof Array.prototype[a] && $jscomp.defineProperty(Array.prototype, a, {
        configurable: !0,
        writable: !0,
        value: function() {
            return $jscomp.arrayIterator(this)
        }
    });
    $jscomp.initSymbolIterator = function() {}
};
$jscomp.arrayIterator = function(a) {
    var b = 0;
    return $jscomp.iteratorPrototype(function() {
        return b < a.length ? {
            done: !1,
            value: a[b++]
        } : {
            done: !0
        }
    })
};
$jscomp.iteratorPrototype = function(a) {
    $jscomp.initSymbolIterator();
    a = {
        next: a
    };
    a[$jscomp.global.Symbol.iterator] = function() {
        return this
    };
    return a
};
$jscomp.makeIterator = function(a) {
    $jscomp.initSymbolIterator();
    var b = a[Symbol.iterator];
    return b ? b.call(a) : $jscomp.arrayIterator(a)
};
$jscomp.array = $jscomp.array || {};
$jscomp.iteratorFromArray = function(a, b) {
    $jscomp.initSymbolIterator();
    a instanceof String && (a += "");
    var c = 0,
        d = {
            next: function() {
                if (c < a.length) {
                    var e = c++;
                    return {
                        value: b(e, a[e]),
                        done: !1
                    }
                }
                d.next = function() {
                    return {
                        done: !0,
                        value: void 0
                    }
                };
                return d.next()
            }
        };
    d[Symbol.iterator] = function() {
        return d
    };
    return d
};
$jscomp.polyfill = function(a, b, c, d) {
    if (b) {
        c = $jscomp.global;
        a = a.split(".");
        for (d = 0; d < a.length - 1; d++) {
            var e = a[d];
            e in c || (c[e] = {});
            c = c[e]
        }
        a = a[a.length - 1];
        d = c[a];
        b = b(d);
        b != d && null != b && $jscomp.defineProperty(c, a, {
            configurable: !0,
            writable: !0,
            value: b
        })
    }
};
$jscomp.polyfill("Array.prototype.keys", function(a) {
    return a ? a : function() {
        return $jscomp.iteratorFromArray(this, function(a) {
            return a
        })
    }
}, "es6-impl", "es3");
$jscomp.polyfill("Array.prototype.entries", function(a) {
    return a ? a : function() {
        return $jscomp.iteratorFromArray(this, function(a, c) {
            return [a, c]
        })
    }
}, "es6-impl", "es3");
var fuelbuddy = {
    current_vehicle_id: "",
    global_settings: {},
    IMAGES_PREFIX: "/FuelBuddyImages/",
    RECEIPTS_PREFIX: "/FuelBuddyReceipts/",
    ASSET_ICON_PREFIX: "http://www.fuelbuddy-app.com/asset_icons/",
    VEH_READ_PHP: "db/get_vehicles.php",
    VEH_UPDATE_PHP: "/DatabaseScriptsTempOrig/veh_data.php",
    LOGS_PHP: "db/get_logs.php",
    SETTINGS_PHP: "db/get_settings.php",
    LOGS_UPDATE_PHP: "/DatabaseScriptsTempOrig/log_data.php",
    DASHBOARD_STATS_PHP: "db/get_dashboard.php",
    REMINDERS_PHP: "db/get_reminders.php",
    CHARTS_PHP: "db/get_charts.php",
    VALIDATE_ODO_AND_DATE: "db/validate_odo_and_date.php",
    maxValues: {},
    vehIds: [],
    current_user_email: "",
    fragments: {
        "": "dashboard_fragment.php",
        "#": "dashboard_fragment.php",
        log: "log_fragment.php",
        dashboard: "dashboard_fragment.php",
        vehicles: "vehicles_fragment.php",
        settings: "settings_fragment.php",
        reminders: "reminders_fragment.php",
        "export": "export_fragment.php"
    },
    getHashValue: function() {
        var a = "##" + window.location.hash;
        return a.substring(a.lastIndexOf("#") + 1)
    },
    logTypes: {
        0: "Fill-Up",
        1: "Service",
        2: "Expense",
        3: "Trip"
    },
    editLogFragments: {
        0: "add_fill_up_fragment.php",
        1: "add_service_fragment.php",
        2: "add_expense_fragment.php",
        3: "add_trip_fragment.php"
    }
};
fuelbuddy.serviceTypeIcons = {
    0: fuelbuddy.ASSET_ICON_PREFIX + "fillup_icon.png",
    1: fuelbuddy.ASSET_ICON_PREFIX + "service.png",
    2: fuelbuddy.ASSET_ICON_PREFIX + "expense_icon.png",
    3: fuelbuddy.ASSET_ICON_PREFIX + "trip_icon.png"
};
fuelbuddy.fblog = function(a) {
    ("yes" === window.fblog || 0 < location.href.indexOf("debug=yes")) && console.log(a)
};
fuelbuddy.updateGlobalSettings = function(a, b) {
    fuelbuddy.global_settings = {};
    jQuery.get(fuelbuddy.SETTINGS_PHP + (a ? "?force=1" : "?force=0"), "", function(a) {
        $.each(a, function(a, b) {
            fuelbuddy.global_settings[a] = b.replace(/\s*\(.*/, "")
        });
        b && b()
    }, "json")
};
fuelbuddy.updateGlobalSettingsAndInitApp = function() {
    fuelbuddy.showMobileWarning();
    fuelbuddy.global_settings = {};
    jQuery.get(fuelbuddy.SETTINGS_PHP, "", function(a) {
        $.each(a, function(a, c) {
            fuelbuddy.global_settings[a] = c
        });
        fuelbuddy.setCurrentUserEmail();
        fuelbuddy.updateVehicleDropdown(fuelbuddy.updateMainFragment)
    }, "json")
};
fuelbuddy.getDateRanges = function() {
    var a = new Date,
        b = new Date;
    b.setDate(1);
    var c = new Date;
    c.setMonth(a.getMonth() + 1);
    c.setDate(1);
    var d = new Date;
    d.setMonth(a.getMonth() - 1);
    d.setDate(1);
    var e = new Date;
    e.setDate(1);
    var h = new Date;
    h.setDate(1);
    h.setMonth(0);
    var n = new Date;
    n.setDate(a.getDate() + 1);
    return {
        allStart: 0,
        allEnd: a.getTime() + 63072E6,
        thisMonthStart: b.getTime(),
        thisMonthEnd: c.getTime(),
        lastMonthStart: d.getTime(),
        lastMonthEnd: e.getTime(),
        thisYearStart: h.getTime(),
        thisYearEnd: n.getTime()
    }
};
fuelbuddy.getMonthAndYear = function(a) {
    return ("0" + (a.getMonth() + 1)).slice(-2) + "/" + a.getFullYear()
};
fuelbuddy.getDayMonthAndYear = function(a) {
    return ("0" + a.getDate()).slice(-2) + "-" + "Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" ")[a.getMonth()] + "-" + a.getFullYear()
};
fuelbuddy.updateNav = function() {
    var a = fuelbuddy.getHashValue();
    "" == a && (a = "dashboard");
    $("#leftnav").children().removeClass("active");
    $("#leftnav #" + a + "nav").addClass("active")
};
fuelbuddy.updateMainFragment = function() {
    fuelbuddy.updateNav();
    jQuery.get("fragments/" + fuelbuddy.fragments[fuelbuddy.getHashValue()], "", function(a) {
        $("#container_fluid").html(a);
        a = fuelbuddy.getHashValue();
        "" == a && (a = "dashboard");
        if (fuelbuddy[a + "Behavior"]) fuelbuddy[a + "Behavior"]();
        fuelbuddy.showMobileWarning()
    }, "html")
};
fuelbuddy.validateOdoAndDate = function(a, b, c) {
    "Invalid Date" == new Date(parseInt(b)) ? ($("#add-log-error").html("Please specify a valid date"), $("#add-log-error").show(), $("#add-log-submit-button").html("Submit")) : (b = new Date(parseInt(b)), b = b.getFullYear() + "" + ("0" + (b.getMonth() + 1)).slice(-2) + "" + ("0" + b.getDate()).slice(-2), jQuery.getJSON(fuelbuddy.VALIDATE_ODO_AND_DATE + "?inputDate=" + b + "&inputOdo=" + a + "&vehid=" + fuelbuddy.current_vehicle_id, "", function(a) {
        a.valid ? c && c() : ($("#add-log-error").html("Please ensure odometer value and selected date are valid"),
            $("#add-log-error").show(), $("#add-log-submit-button").html("Submit"))
    }))
};
fuelbuddy.updateVehicleDropdown = function(a) {
    $("#vehicle_dropdown").empty();
    jQuery.getJSON(fuelbuddy.VEH_READ_PHP, "", function(b) {
        var c = !0;
        $.each(b, function(a, b) {
            if (b.VEHID) {
                var h = b.VEHID.replace("'", "%27%27").replace('"', "%22%22");
                $("#vehicle_dropdown").append("<li><a class='veh_dropdown' data-vehid='" + h + "'>" + b.VEHID + "</a></li>");
                c && ($("#current_vehicle_id").html(b.VEHID + " "), fuelbuddy.current_vehicle_id = b.VEHID, c = !1)
            }
        });
        $(".veh_dropdown").click(function() {
            $("#current_vehicle_id").html($(this).attr("data-vehid").replace("%27%27", "'").replace("%22%22",
                '"') + " ");
            fuelbuddy.current_vehicle_id = $(this).attr("data-vehid");
            fuelbuddy.updateMainFragment()
        });
        a && a()
    })
};
fuelbuddy.appOnReady = function() {
    window.onhashchange = function() {
        fuelbuddy.updateMainFragment()
    };
    $("#loading_modal").modal({
        backdrop: "static",
        keyboard: !1,
        show: !1
    });
    fuelbuddy.updateGlobalSettingsAndInitApp()
};
fuelbuddy.remindersBehavior = function() {
    fuelbuddy.loadReminders(1);
    $("#service-reminders").click(function() {
        $("#expense-reminders").parent().removeClass("active");
        $("#service-reminders").parent().addClass("active");
        fuelbuddy.loadReminders(1)
    });
    $("#expense-reminders").click(function() {
        $("#service-reminders").parent().removeClass("active");
        $("#expense-reminders").parent().addClass("active");
        fuelbuddy.loadReminders(2)
    })
};
fuelbuddy.loadReminders = function(a, b) {
    fuelbuddy.beforeCall();
    jQuery.getJSON(fuelbuddy.REMINDERS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id, "", function(b) {
        var d = !1;
        $("#reminders_area").empty();
        var e = 0,
            h = {};
        $.each(b, function(b, c) {
            if (!a || c.TYPE == a)
                if (0 != c.DUE_MILES || 0 != c.DUE_DAYS) {
                    var l = parseFloat(c.MAX_ODO),
                        m = new Date(0);
                    m.setTime(c.LAST_DATE);
                    var f = m.getTime(),
                        g = parseFloat(c.LAST_ODO),
                        k = parseFloat(g) + parseFloat(c.DUE_MILES),
                        l = ((l - g) / (k - g) * 100).toFixed(2),
                        p = m.getTime() + 864E5 * parseInt(c.DUE_DAYS),
                        g =
                        new Date(0);
                    g.setTime(p);
                    f = (((new Date).getTime() - f) / (p - f) * 100).toFixed(2);
                    0 == c.DUE_MILES ? k = fuelbuddy.getDayMonthAndYear(g) : 0 == c.DUE_DAYS ? (k = k + " " + fuelbuddy.global_settings.distance, f = l) : f > l ? k = fuelbuddy.getDayMonthAndYear(g) + " / " + k + " " + fuelbuddy.global_settings.distance : (k = fuelbuddy.getDayMonthAndYear(g) + " / " + k + " " + fuelbuddy.global_settings.distance, f = l);
                    f = Math.abs(f);
                    p = g = l = 0;
                    33.33 < f ? 66.66 < f ? p = f : g = f : l = f;
                    var q = "Last ",
                        q = 1 == c.TYPE ? q + "Service: " : q + "Paid On: ",
                        m = 0 == c.LAST_DATE ? "N/A" : fuelbuddy.getDayMonthAndYear(m),
                        m = $("#reminders_template").clone().html().replace("SERVICE_NAME", c.SERVICE_NAME).replace("LAST_DATE", q + m).replace("DUE_VALUE", k).replace("GREEN_PERCENTAGE", l).replace("YELLOW_PERCENTAGE", g).replace("RED_PERCENTAGE", p);
                    h[c._ID + "::" + (100 - f)] = m;
                    d = !0;
                    e++
                }
        });
        b = function(a, b) {
            var c = a.substr(a.indexOf("::") + 2),
                e = b.substr(b.indexOf("::") + 2);
            return parseFloat(c) - parseFloat(e)
        };
        d ? (e = 0, jQuery.each(Object.keys(h).sort(b), function(a, b) {
            $("#reminders_area").append(h[b])
        })) : $("#reminders_area").append("<tr><td style='text-align:center'><strong>No reminders found</strong></td></tr>")
    }).always(function() {
        fuelbuddy.afterCall()
    })
};
_b = function(a) {
    var b = new Date(0);
    b.setTime(a);
    return fuelbuddy.getDayMonthAndYear(b)
};
fuelbuddy.loadChart = function(a) {
    fuelbuddy.current_chart_function = a;
    fuelbuddy[a]()
};
fuelbuddy.current_chart_function = "";
fuelbuddy.current_start_date = (new Date(0)).getTime();
fuelbuddy.current_end_date = (new Date).getTime() + 6278E7;
fuelbuddy.dashboardBehavior = function() {
    fuelbuddy.current_chart_function = "";
    fuelbuddy.current_start_date = (new Date(0)).getTime();
    fuelbuddy.current_end_date = (new Date).getTime() + 6278E7;
    $(".date-range-link").click(function() {
        var a = $(this).attr("data-date-range");
        fuelbuddy.fblog("Showing " + a);
        $("#current-date-range").html($(this).html());
        if ("custom" == a) $("#custom-date-range").show(), $("#dash-start-date").datepicker(), $("#dash-start-date").datepicker("setDate", new Date), $("#dash-end-date").datepicker(),
            $("#dash-end-date").datepicker("setDate", new Date);
        else {
            $("#custom-date-range").hide();
            var b = fuelbuddy.getDateRanges()[a + "Start"],
                a = fuelbuddy.getDateRanges()[a + "End"];
            fuelbuddy.current_start_date = b;
            fuelbuddy.current_end_date = a;
            fuelbuddy.fblog(_b(b) + " to " + _b(a));
            fuelbuddy.getDashboardStats(b, a)
        }
    });
    $("#dash-custom-date-search").click(function() {
        var a = $("#dash-start-date").datepicker("getDate").getTime(),
            b = $("#dash-end-date").datepicker("getDate").getTime();
        b < a ? $("#custom-date-range-error").html("Invalid date range") :
            ($("#custom-date-range-error").html(""), b += 864E5, fuelbuddy.current_start_date = a, fuelbuddy.current_end_date = b, fuelbuddy.fblog(_b(a) + " to " + _b(b)), fuelbuddy.getDashboardStats(a, b))
    });
    $("#dash-start-date").click(function() {
        $("#ui-datepicker-div").css({
            left: pLeft,
            top: "90px"
        })
    });
    $("#dash-end-date").click(function() {
        $("#ui-datepicker-div").css({
            left: pLeft,
            top: "90px"
        })
    });
    $(".chart-link").click(function() {
        $(".chart-link").parent().parent().removeClass("current-chart");
        $(this).parent().parent().addClass("current-chart");
        var a = $(this).attr("data-chart-function");
        fuelbuddy.fblog("Loading chart with function " + a);
        fuelbuddy.loadChart(a)
    });
    fuelbuddy.getDashboardStats(0, (new Date).getTime() + 6278E7)
};
fuelbuddy.showBoxStat = function(a, b) {
    try {
        if ("N/A" == b || isNaN(b)) $("#" + a).html("N/A");
        else {
            var c = parseFloat(b).toFixed(2);
            isNaN(c) ? $("#" + a).html("N/A") : $("#" + a).html(c)
        }
    } catch (d) {
        fuelbuddy.fblog("Error showing " + a + ": " + d.message), $("#" + a).html("N/A")
    }
};
fuelbuddy.getDashboardStats = function(a, b) {
    $("#chart-body").html("<i class='fa fa-spinner fa-spin'></i>  Loading ...");
    fuelbuddy.beforeCall();
    jQuery.getJSON(fuelbuddy.DASHBOARD_STATS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id + "&startDate=" + a + "&endDate=" + b, "", function(a) {
        fuelbuddy.dashboard_stats = {};
        $.each(a, function(a, b) {
            try {
                if (fuelbuddy.fblog(a + " = " + b), fuelbuddy.dashboard_stats[a] = b, "N/A" == b) $("#" + a + "-stat").html("N/A");
                else if ("avg-fuel-efficiency" == a) {
                    var c = "L/100km" === fuelbuddy.global_settings.consumption ?
                        100 / parseFloat(b) : parseFloat(b);
                    Infinity == c ? $("#" + a + "-stat").html("N/A") : $("#" + a + "-stat").html(c.toFixed(2))
                } else if ("avg-price-per-volume" == a) $("#" + a + "-stat").html(b.toFixed(3));
                else if ("fill-ups" == a || "total-trips" == a) $("#" + a + "-stat").html(b.toFixed(0));
                else if ("total-trip-time" == a) {
                    var d = (parseFloat(b) / 1E3).toFixed(0),
                        l = parseInt(d / 3600),
                        m = parseInt((d - 3600 * l) / 60);
                    $("#" + a + "-stat").html(l + "h " + m + "m")
                } else isNaN(b) ? $("#" + a + "-stat").html(b) : $("#" + a + "-stat").html(b.toFixed(2))
            } catch (f) {
                fuelbuddy.fblog("Error showing " +
                    a + "-stat " + f.message), $("#" + a + "-stat").html("N/A")
            }
        });
        var b = "L/100km" === fuelbuddy.global_settings.consumption ? 100 / parseFloat(a["avg-fuel-efficiency"]) : parseFloat(a["avg-fuel-efficiency"]);
        Infinity == b && (b = "N/A");
        fuelbuddy.showBoxStat("avg-fuel-efficiency-box-stat", b);
        fuelbuddy.showBoxStat("fuel-cost-per-distance-box-stat", a["fuel-cost-per-distance"]);
        fuelbuddy.showBoxStat("tax-deduction-box-stat", a["tax-deduction"]);
        try {
            fuelbuddy.showBoxStat("running-cost-box-stat", a["running-cost"])
        } catch (e) {
            fuelbuddy.showBoxStat("running-cost-box-stat",
                "N/A")
        }
        $(".stats-link").click(function() {
            $(".stats-table").hide();
            fuelbuddy.fblog("Showing " + $(this).attr("data-stat-name"));
            $("#current-stat-name").html($(this).html());
            $("#stats-table-name").html($(this).html());
            $("#" + $(this).attr("data-stat-name")).show();
            if ("no-default" != $(this).attr("data-default-chart")) {
                var a = $(this).attr("data-default-chart");
                $(".chart-link").parent().parent().removeClass("current-chart");
                jQuery.each($(".chart-link"), function(b, c) {
                    fuelbuddy.fblog(c);
                    $(c).attr("data-chart-function") ==
                        a && $(c).parent().parent().addClass("current-chart")
                });
                fuelbuddy.loadChart(a)
            } else $("#chart-area").addClass("hidden"), fuelbuddy.current_chart_function = "no-default"
        });
        fuelbuddy.showLastFiveLogs();
        $("#reminders_area").html("<tr id='reminder-loading-line'><td colspan='4'><i class='fa fa-spinner fa-spin'></i>  Loading ...</td></tr>");
        fuelbuddy.loadReminders(void 0, 6);
        "" == fuelbuddy.current_chart_function ? fuelbuddy.showAvgFuelEfficiencyChart() : "no-default" != fuelbuddy.current_chart_function && fuelbuddy.loadChart(fuelbuddy.current_chart_function)
    }).always(function() {
        fuelbuddy.afterCall()
    })
};
fuelbuddy.getAddFragment = function(a) {
    $("#add_modal").on("shown.bs.modal", function(a) {
        $("#log_date").datepicker();
        $("#log_date").datepicker("setDate", new Date)
    });
    jQuery.get("fragments/" + fuelbuddy.editLogFragments[a] + "?vehid=" + fuelbuddy.current_vehicle_id, "", function(b) {
        $("#add_modal_title").text("Add " + fuelbuddy.logTypes[a]);
        $("#add_modal_body").html(b.replace("VEHICLE_ID", fuelbuddy.current_vehicle_id).replace("LOG_TYPE", a));
        $("#add-log-error").html();
        $("#add-log-error").hide();
        0 == a && ($("#fuel_brand").val(fuelbuddy.global_settings.last_brand),
            $("#octane").val(parseInt(fuelbuddy.global_settings.last_octane)), $("#filling_station").val(fuelbuddy.global_settings.last_filling_station), fuelbuddy.addPriceAndCostHandlers());
        $("#add-log-submit-button").html("Submit");
        $("#add_modal").modal("show")
    }, "html");
    $("#add-log-submit-button").unbind();
    0 == a ? $("#add-log-submit-button").click(function() {
        fuelbuddy.addFillup()
    }) : $("#add-log-submit-button").click(function() {
        fuelbuddy.addLog()
    })
};
fuelbuddy.postRequest = function(a, b, c, d) {
    jQuery.ajax({
        url: b,
        data: a,
        dataType: "json",
        cache: !1,
        contentType: !1,
        processData: !1,
        type: "POST"
    }).done(c).fail(d)
};
fuelbuddy.addDateToFormData = function(a) {
    if ("" == $("#log_date").val()) return $("#add-log-error").html("Please specify a valid date"), $("#add-log-error").show(), $("#add-log-submit-button").html("Submit"), !1;
    var b = $("#log_date").datepicker("getDate");
    a.set("date", b.getTime());
    a.set("day", b.getDate());
    a.set("month", b.getMonth() + 1);
    a.set("year", b.getFullYear());
    return !0
};
fuelbuddy.addFillup = function() {
    var a = new FormData;
    jQuery.each($("#add_log_form").serializeArray(), function(b, c) {
        a.append(c.name, c.value)
    });
    jQuery.each(jQuery("#img_file")[0].files, function(b, c) {
        a.append("img_file", c);
        a.append("receipt", c.name)
    });
    a.set("source", "web");
    a.set("vehid", fuelbuddy.current_vehicle_id);
    a.set("type", "add");
    a.set("email", fuelbuddy.current_user_email);
    fuelbuddy.addDateToFormData(a) && (a.set("pfill", $("#pfill").prop("checked") ? 1 : 0), a.set("mfill", $("#mfill").prop("checked") ? 1 : 0),
        a.set("serviceType", "Fuel Record"), fuelbuddy.validateOdo() && fuelbuddy.validateQty() && ($("#add-log-submit-button").html("<i class='fa fa-spinner fa-spin'> </i>  "), fuelbuddy.validateOdoAndDate($("#odo").val(), a.get("date"), function() {
            fuelbuddy.postRequest(a, fuelbuddy.LOGS_UPDATE_PHP, function(a) {
                0 == a.success ? ($("#add-log-error").html(a.message), $("#add-log-error").show(), $("#add-log-submit-button").html("Submit")) : ($("#add_modal").modal("hide"), $("body").removeClass("modal-open"), $(".modal-backdrop").remove(),
                    fuelbuddy.updateGlobalSettings(!0, fuelbuddy.updateMainFragment))
            }, function(a) {
                $("#add-log-error").html("An error occured on the server. Please re-try this operation or contact support.");
                $("#add-log-error").show();
                $("#add-log-submit-button").html("Submit")
            })
        })))
};
fuelbuddy.validateServiceType = function() {
    return "" == $("#service_type").val() || null == $("#service_type").val() ? ($("#add-log-error").html("Please choose a " + fuelbuddy.logTypes[$("#rec_type").val()] + " type"), $("#add-log-error").show(), !1) : !0
};
fuelbuddy.validateOdo = function() {
    return "" == $("#odo").val() || isNaN($("#odo").val()) ? ($("#add-log-error").html("Please enter a valid odometer value"), $("#add-log-error").show(), !1) : !0
};
fuelbuddy.validateQty = function() {
    return "" == $("#qty").val() || isNaN($("#qty").val()) ? ($("#add-log-error").html("Please enter a valid quantity"), $("#add-log-error").show(), !1) : !0
};
fuelbuddy.addLog = function() {
    var a = new FormData;
    jQuery.each($("#add_log_form").serializeArray(), function(b, c) {
        a.append(c.name, c.value)
    });
    jQuery.each(jQuery("#img_file")[0].files, function(b, c) {
        a.append("img_file", c);
        a.append("receipt", c.name)
    });
    if (1 != $("#rec_type").val() && 2 != $("#rec_type").val() || fuelbuddy.validateServiceType()) a.set("source", "web"), a.set("vehid", fuelbuddy.current_vehicle_id), a.set("type", "add"), a.set("email", fuelbuddy.current_user_email), a.set("serviceType", $("#service_type").val().join(", ")),
        fuelbuddy.addDateToFormData(a) && fuelbuddy.validateOdo() && ($("#add-log-submit-button").html("<i class='fa fa-spinner fa-spin'> </i>  "), fuelbuddy.validateOdoAndDate($("#odo").val(), a.get("date"), function() {
            fuelbuddy.postRequest(a, fuelbuddy.LOGS_UPDATE_PHP, function(a) {
                0 == a.success ? ($("#add-log-submit-button").html("Submit"), $("#add-log-error").html(a.message), $("#add-log-error").show(), $("#add-log-submit-button").html("Submit")) : ($("#add_modal").modal("hide"), $("body").removeClass("modal-open"), $(".modal-backdrop").remove(),
                    fuelbuddy.updateMainFragment())
            }, function(a) {
                $("#add-log-submit-button").html("Submit");
                $("#add-log-error").html("An error occured on the server. Please re-try this operation or contact support.");
                $("#add-log-error").show();
                $("#add-log-submit-button").html("Submit")
            })
        }))
};
fuelbuddy.editLog = function() {
    if (1 != $("#rec_type").val() && 2 != $("#rec_type").val() || fuelbuddy.validateServiceType()) {
        var a = new FormData;
        jQuery.each(jQuery("#img_file")[0].files, function(b, c) {
            a.append("img_file", c);
            a.append("receipt", c.name)
        });
        a.set("source", "web");
        a.set("_id", $("#logId").val());
        a.set("vehid", fuelbuddy.current_vehicle_id);
        a.set("type", "edit");
        a.set("email", fuelbuddy.current_user_email);
        jQuery.each($("#add_log_form").serializeArray(), function(b, c) {
            a.append(c.name, c.value)
        });
        a.set("serviceType",
            $("#service_type").val().join(", "));
        fuelbuddy.addDateToFormData(a) && fuelbuddy.validateOdo() && ($("#add-log-submit-button").html("&nbsp;&nbsp;&nbsp;<i class='fa fa-spinner fa-spin'></i>&nbsp;&nbsp;&nbsp;"), fuelbuddy.validateOdoAndDate($("#odo").val(), a.get("date"), function() {
            fuelbuddy.postRequest(a, fuelbuddy.LOGS_UPDATE_PHP, function(a) {
                0 == a.success ? ($("#add-log-submit-button").html("Submit"), $("#add-log-error").html(a.message), $("#add-log-error").show(), $("#add-log-submit-button").html("Submit")) :
                    ($("#add_modal").modal("hide"), $("body").removeClass("modal-open"), $(".modal-backdrop").remove(), fuelbuddy.updateMainFragment())
            }, function(a) {
                $("#add-log-submit-button").html("Submit");
                $("#add-log-error").html("An error occured on the server. Please re-try this operation or contact support.");
                $("#add-log-error").show();
                $("#add-log-submit-button").html("Submit")
            })
        }))
    }
};
fuelbuddy.taxDeducted = function() {
    try {
        var a = parseFloat($("#tax_deduction_rate").val()) * (parseFloat($("#end_odo").val()) - parseFloat($("#start_odo").val())) + parseFloat($("#parking").val()) + parseFloat($("#toll").val());
        return isNaN(a) ? "N/A" : a
    } catch (b) {
        return "N/A"
    }
};
fuelbuddy.editTrip = function() {
    var a = new FormData;
    a.set("source", "web");
    a.set("_id", $("#logId").val());
    a.set("vehid", fuelbuddy.current_vehicle_id);
    a.set("type", "edit");
    a.set("rec_type", "3");
    a.set("email", fuelbuddy.current_user_email);
    var b = $("#start_date").datepicker("getDate"),
        c = parseInt($("#start_hour").val()),
        d = parseInt($("#start_min").val());
    "PM" == $("#start_ampm").val() ? (b.setHours(c + 12), a.set("pfill", c + 12)) : (b.setHours(c), a.set("pfill", c));
    b.setMinutes(d);
    a.set("mfill", d);
    a.set("date", b.getTime());
    a.set("day", b.getDate());
    a.set("month", b.getMonth() + 1);
    a.set("year", b.getFullYear());
    b = parseInt($("#end_hour").val());
    c = parseInt($("#end_min").val());
    d = $("#end_date").datepicker("getDate");
    "PM" == $("#end_ampm").val() ? d.setHours(b + 12) : d.setHours(b);
    d.setMinutes(c);
    a.set("cons", d.getTime());
    a.set("odo", $("#start_odo").val());
    a.set("qty", $("#end_odo").val());
    a.set("fuelBrand", $("#start_loc").val());
    a.set("fillStation", $("#end_loc").val());
    a.set("dist", $("#parking").val());
    a.set("octane", $("#toll").val());
    b = fuelbuddy.taxDeducted();
    a.set("cost", b);
    a.set("serviceType", $("#trip_type").val());
    a.set("notes", $("#notes").val());
    b = $jscomp.makeIterator(a.entries());
    for (c = b.next(); !c.done; c = b.next()) c = c.value, fuelbuddy.fblog(c[0] + " = " + c[1]);
    $("#add-log-submit-button").html("&nbsp;&nbsp;&nbsp;<i class='fa fa-spinner fa-spin'></i>&nbsp;&nbsp;&nbsp;");
    fuelbuddy.validateOdoAndDate($("#odo").val(), a.get("date"), function() {
        fuelbuddy.postRequest(a, fuelbuddy.LOGS_UPDATE_PHP, function(a) {
            0 == a.success ? ($("#add-log-error").html(a.message),
                $("#add-log-error").show(), $("#add-log-submit-button").html("Submit")) : ($("#add_modal").modal("hide"), $("body").removeClass("modal-open"), $(".modal-backdrop").remove(), fuelbuddy.updateMainFragment())
        }, function(a) {
            $("#add-log-error").html("An error occured on the server. Please re-try this operation or contact support.");
            $("#add-log-error").show();
            $("#add-log-submit-button").html("Submit")
        })
    })
};
fuelbuddy.editFillup = function() {
    var a = new FormData;
    jQuery.each($("#add_log_form").serializeArray(), function(b, c) {
        a.append(c.name, c.value)
    });
    jQuery.each(jQuery("#img_file")[0].files, function(b, c) {
        a.append("img_file", c);
        a.append("receipt", c.name)
    });
    a.set("source", "web");
    a.set("_id", $("#logId").val());
    a.set("vehid", fuelbuddy.current_vehicle_id);
    a.set("type", "edit");
    a.set("email", fuelbuddy.current_user_email);
    a.set("serviceType", "Fuel Record");
    a.set("pfill", $("#pfill").prop("checked") ? 1 : 0);
    a.set("mfill",
        $("#mfill").prop("checked") ? 1 : 0);
    fuelbuddy.addDateToFormData(a) && fuelbuddy.validateOdo() && fuelbuddy.validateQty() && ($("#add-log-submit-button").html("&nbsp;&nbsp;&nbsp;<i class='fa fa-spinner fa-spin'></i>&nbsp;&nbsp;&nbsp;"), fuelbuddy.validateOdoAndDate($("#odo").val(), a.get("date"), function() {
        fuelbuddy.postRequest(a, fuelbuddy.LOGS_UPDATE_PHP, function(a) {
            0 == a.success ? ($("#add-log-error").html(a.message), $("#add-log-error").show(), $("#add-log-submit-button").html("Submit")) : ($("#add_modal").modal("hide"),
                $("body").removeClass("modal-open"), $(".modal-backdrop").remove(), fuelbuddy.updateGlobalSettings(!0, fuelbuddy.updateMainFragment))
        }, function(a) {
            $("#add-log-error").html("An error occured on the server. Please re-try this operation or contact support.");
            $("#add-log-error").show();
            $("#add-log-submit-button").html("Submit")
        })
    }))
};
fuelbuddy.padTwoZero = function(a) {
    a = a.toString();
    return 2 > a.length ? fuelbuddy.padTwoZero("0" + a, 2) : a
};
fuelbuddy.updateTripFragment = function(a) {
    var b = new Date(0);
    b.setUTCMilliseconds(a.DATE);
    fuelbuddy.fblog(b);
    $("#start_date").datepicker();
    $("#start_date").datepicker("setDate", b);
    $("#start_hour").val(12 < b.getHours() ? fuelbuddy.padTwoZero(b.getHours() - 12) : fuelbuddy.padTwoZero(b.getHours()));
    $("#start_min").val(fuelbuddy.padTwoZero(b.getMinutes()));
    $("#start_ampm").val(12 < b.getHours() ? "PM" : "AM");
    $("#start_odo").val(a.ODO);
    $("#start_loc").val(a.FUEL_BRAND);
    b = new Date(0);
    b.setUTCMilliseconds(a.CONSUMPTION);
    fuelbuddy.fblog(b);
    $("#end_date").datepicker();
    $("#end_date").datepicker("setDate", b);
    $("#end_hour").val(12 < b.getHours() ? fuelbuddy.padTwoZero(b.getHours() - 12) : fuelbuddy.padTwoZero(b.getHours()));
    $("#end_min").val(fuelbuddy.padTwoZero(b.getMinutes()));
    $("#end_ampm").val(12 < b.getHours() ? "PM" : "AM");
    $("#end_odo").val(a.QTY);
    $("#end_loc").val(a.FILLING_STATION);
    b = (parseFloat(a.COST) - parseFloat(a.DIST) - parseFloat(a.OCTANE)) / (parseFloat(a.QTY) - parseFloat(a.ODO));
    $("#total-tax").val(parseFloat(a.COST).toFixed(2));
    $("#tax_deduction_rate").val(b.toFixed(2));
    $("#parking").val(a.DIST);
    $("#toll").val(a.OCTANE);
    $("#notes").val(a.NOTES);
    $("#trip_type").val(a.SERVICE_TYPE);
    $(".calculate-tax-deducted").off("input");
    $(".calculate-tax-deducted").on("input", function() {
        $("#total-tax").val(fuelbuddy.taxDeducted())
    })
};
fuelbuddy.addPriceAndCostHandlers = function() {
    $(".update-cost").off("change");
    $(".update-cost").off("keypress");
    $(".update-cost").off("keyup");
    $("#price").keyup(function() {
        "" != $("#price").val() && $("#cost").val((parseFloat($("#price").val()) * parseFloat($("#qty").val())).toFixed(3))
    });
    $("#qty").keyup(function() {
        "" != $("#price").val() && $("#cost").val((parseFloat($("#price").val()) * parseFloat($("#qty").val())).toFixed(3))
    });
    $("#cost").keypress(function() {
        $("#price").val("")
    })
};
fuelbuddy.getEditFragment = function(a, b) {
    fuelbuddy.beforeCall();
    jQuery.get("fragments/" + fuelbuddy.editLogFragments[b] + "?vehid=" + fuelbuddy.current_vehicle_id, "", function(c) {
        $("#add_modal_title").text("Edit " + fuelbuddy.logTypes[b]);
        $("#add_modal_body").html(c);
        $("#add-log-error").html();
        $("#add-log-error").hide();
        jQuery.getJSON(fuelbuddy.LOGS_PHP + ("?vehid=" + fuelbuddy.current_vehicle_id + "&logId=" + a), "", function(c) {
            $.each(c, function(c, d) {
                if (a == d._ID)
                    if (fuelbuddy.fblog("Loading log: " + JSON.stringify(d)),
                        3 == b) $("#logId").val(d._ID), fuelbuddy.updateTripFragment(d);
                    else {
                        jQuery.each("odo filling_station cost notes qty octane fuel_brand".split(" "), function(a, b) {
                            "OCTANE" == b.toUpperCase() ? $("#" + b).val(parseInt(d[b.toUpperCase()])) : $("#" + b).val(d[b.toUpperCase()])
                        });
                        $("#logId").val(d._ID);
                        var n = new Date(0);
                        n.setUTCMilliseconds(d.DATE);
                        $("#log_date").datepicker();
                        $("#log_date").datepicker("setDate", n);
                        0 == b ? ($("#service_type").val("Fuel Record"), $("#mfill").prop("checked", 1 == d.MISSED_FILL), $("#pfill").prop("checked",
                            1 == d.PARTIAL_FILL), fuelbuddy.addPriceAndCostHandlers(), $("#price").val(parseFloat($("#cost").val() / $("#qty").val()).toFixed(2))) : 1 != b && 2 != b || $("#service_type").val(("" + d.SERVICE_TYPE).split(", "))
                    }
                fuelbuddy.fblog(d.RECEIPT);
                d.RECEIPT && "null" != d.RECEIPT ? ($("#current_receipt_link").prop("href", fuelbuddy.RECEIPTS_PREFIX + d.RECEIPT), $("#current_receipt_image").prop("src", fuelbuddy.RECEIPTS_PREFIX + d.RECEIPT), $("#current_receipt").show()) : $("#current_receipt").hide()
            });
            $("#add-log-submit-button").html("Submit");
            $("#loading_modal").on("hidden.bs.modal", function(a) {
                $("#add_modal").modal("show");
                $("#loading_modal").off("hidden.bs.modal")
            });
            fuelbuddy.afterCall()
        })
    }, "html");
    $("#add-log-submit-button").unbind();
    1 == b || 2 == b ? $("#add-log-submit-button").click(function() {
        fuelbuddy.editLog()
    }) : 3 == b ? $("#add-log-submit-button").click(function() {
        fuelbuddy.editTrip()
    }) : $("#add-log-submit-button").click(function() {
        fuelbuddy.editFillup()
    })
};
fuelbuddy.confirmLogDelete = function(a) {
    var b = new FormData;
    b.set("source", "web");
    b.set("_id", a);
    b.set("type", "del");
    b.set("email", fuelbuddy.current_user_email);
    bootbox.confirm("Are you sure you want to delete this log ?", function(a) {
        a && fuelbuddy.postRequest(b, fuelbuddy.LOGS_UPDATE_PHP, function(a) {
            0 != a.success && fuelbuddy.updateMainFragment()
        }, function(a) {})
    })
};
String.prototype.trunc = function(a) {
    return this.substr(0, a - 1) + (this.length > a ? "&hellip;" : "")
};
fuelbuddy.loadLogTable = function(a, b, c, d, e) {
    d = !e && (d || !1);
    e && $("#" + a + " tbody").empty();
    var h = "",
        n = !1;
    fuelbuddy.maxValues = {
        date: new Date("1000-01-01"),
        odometer: "0"
    };
    $.each(c, function(a, b) {
        if (b._ID) {
            if (d && !e) {
                if ("" != $("#odometer_search_input").val()) switch ($("#odometer_search_dropdown").val()) {
                    case "gt":
                        if (b.ODO <= $("#odometer_search_input").val()) return !0;
                        break;
                    case "lt":
                        if (b.ODO >= $("#odometer_search_input").val()) return !0;
                        break;
                    case "eq":
                        if (b.ODO != $("#odometer_search_input").val()) return !0
                }
                if ("" != $("#service_type_search_dropdown").val() &&
                    $("#service_type_search_dropdown").val() != b.TYPE) return !0;
                if ("" != $("#search_date_picker").val()) {
                    var c = new Date($("#search_date_picker").val()),
                        f = c.getTime(),
                        c = ("0" + c.getDate()).slice(-2) + "-" + ("0" + (c.getMonth() + 1)).slice(-2) + "-" + c.getFullYear(),
                        g = ("0" + b.DAY).slice(-2) + "-" + ("0" + b.MONTH).slice(-2) + "-" + b.YEAR;
                    fuelbuddy.fblog("Comparing " + c + " with " + g);
                    switch ($("#date_search_dropdown").val()) {
                        case "gt":
                            if (b.DATE <= f) return !0;
                            break;
                        case "lt":
                            if (b.DATE >= f) return !0;
                            break;
                        case "eq":
                            if (c != g) return !0
                    }
                }
                f = $("#search_logs_input").val();
                if (!("" == f || b.NOTES && b.NOTES.match(f))) return !0
            }
            f = "<tr>" + ('<td class="col-sm-1"><img height="40" width="40" src="' + fuelbuddy.serviceTypeIcons[b.TYPE] + '"></td>');
            c = "" == b.COST || null == b.COST || 0 == b.COST ? "" : fuelbuddy.global_settings.currency + " " + b.COST;
            if (0 == b.TYPE) {
                g = "1" == b.PARTIAL_FILL ? " (P) " : "";
                null != b.CONSUMPTION && 0 != b.CONSUMPTION && (b.CONSUMPTION = "L/100km" === fuelbuddy.global_settings.consumption ? (100 / parseFloat(b.CONSUMPTION)).toFixed(2) : parseFloat(b.CONSUMPTION));
                var k = null == b.CONSUMPTION || 0 == b.CONSUMPTION ?
                    "N/A" : b.CONSUMPTION + " " + fuelbuddy.global_settings.consumption,
                    f = f + ("<td>" + b.MONTH + "/" + b.DAY + "/" + b.YEAR);
                e || (f += "<br /><small>Odo: " + b.ODO + " " + fuelbuddy.global_settings.distance + "</small></td>");
                f += "<td>" + b.QTY + " " + fuelbuddy.global_settings.volume + g + "<br />";
                e || (f = "1" == b.MISSED_FILL ? f + "<small>Missed Fill Up</small></td>" : f + ("<small>" + (null == b.DIST || "" == b.DIST ? "N/A" : "(+" + b.DIST + ") " + fuelbuddy.global_settings.distance) + "</small></td>"));
                f += "<td>" + c + "<br />";
                e || (f += "<small>" + k + "</small></td>")
            } else {
                if (3 ==
                    b.TYPE) {
                    var g = 0 == b.QTY || "" == b.QTY || null == b.QTY ? "In progress" : "(+" + (parseFloat(b.QTY) - parseFloat(b.ODO)).toFixed(2) + ") " + fuelbuddy.global_settings.distance,
                        k = "" + b.FUEL_BRAND,
                        p = "" + b.FILLING_STATION,
                        q = "";
                    "" !== k && "" !== p ? q = k + " - " + p : "" !== k && (q = k + " - N/A");
                    f += "<td>" + b.MONTH + "/" + b.DAY + "/" + b.YEAR + "<br /><small>" + q + "</small></td>";
                    f += "<td>" + b.SERVICE_TYPE.replace(/,/g, ", ");
                    e || (f += "<br /><small>" + g + "</small></td>")
                } else f += "<td>" + b.MONTH + "/" + b.DAY + "/" + b.YEAR, e || (f += "<br /><small>Odo: " + b.ODO + " " + fuelbuddy.global_settings.distance +
                    "</small></td>"), f += '<td title="' + b.SERVICE_TYPE.replace(/,/g, ", ") + '">' + b.SERVICE_TYPE.replace(/,/g, ", ").trunc(25), e || (f += "<br /><small>" + b.FILLING_STATION + "</small>");
                f += "<td>" + c + "</td>"
            }
            e || (c = b.ODO, g = new Date(b.YEAR + "-" + b.MONTH + "-" + b.DAY), c > fuelbuddy.maxValues.odometer && (fuelbuddy.maxValues.odometer = c), g > fuelbuddy.maxValues.date && (fuelbuddy.maxValues.date = g), f += "<td>" + fuelbuddy.getEditButton(b.TYPE, b._ID) + " " + fuelbuddy.getDeleteButton(b._ID) + "</td>");
            h += f + "</tr>";
            n = !0
        }
    });
    n || (h = "<tr><td style='text-align:center' colspan='5'><strong>No matching data found</strong></td></tr>");
    e ? $("#" + a + " tbody").append(h) : ($("#" + a + " tbody").append(h), $(".edit-log-button").click(function() {
        fuelbuddy.getEditFragment($(this).attr("data-logid"), $(this).attr("data-logtype"))
    }), $(".delete-log-button").click(function() {
        fuelbuddy.confirmLogDelete($(this).attr("data-logid"))
    }))
};
fuelbuddy.getInfoButton = function(a, b) {
    return '<a class="info-log-button btn btn-primary" data-logtype="' + a + '" data-logid="' + b + '" aria-label="Edit"><i class="fa fa-info" aria-hidden="true"></i></a>'
};
fuelbuddy.getEditButton = function(a, b) {
    return '<a class="edit-log-button btn btn-primary" data-logtype="' + a + '" data-logid="' + b + '" aria-label="Edit"><i class="fa fa-pencil" aria-hidden="true"></i></a>'
};
fuelbuddy.getDeleteButton = function(a) {
    return '<a class="delete-log-button btn btn-danger" data-logid="' + a + '" aria-label="Delete"><i class="fa fa-trash-o" aria-hidden="true"></i></a>'
};
fuelbuddy.getAddVehicleFragment = function() {
    jQuery.get("fragments/add_vehicle_fragment.php", "", function(a) {
        $("#veh_modal_title").text("Add Vehicle");
        $("#veh_modal_body").html(a);
        $("#add-vehicle-error").html("");
        $("#add-vehicle-error").hide();
        $("#type").val("add");
        $("#veh_modal").modal("show")
    }, "html");
    $("#add-vehicle-submit-button").unbind();
    $("#add-vehicle-submit-button").click(function() {
        fuelbuddy.addVehicle()
    })
};
fuelbuddy.getEditVehicleFragment = function(a) {
    
    fuelbuddy.beforeCall();
    jQuery.get("fragments/add_vehicle_fragment.php", "", function(b) {
        
        $("#veh_modal_title").text("Edit Vehicle");
        $("#veh_modal_body").html(b);
        $("#add-vehicle-error").html("");
        $("#add-vehicle-error").hide();
        b = a.replace("'", "%27%27").replace('"', "%22%22");
        jQuery.getJSON(fuelbuddy.VEH_READ_PHP + "?vehId=" + b, "", function(b) {
            
            $.each(b, function(b, c) {
                a === c.VEHID && jQuery.each("_id make model year lic year vin insurance_no notes custom_specifications".split(" "), function(a,
                    b) {
                    //console.log(c['CUSTOM_SPECIFICATIONS']);
                    $("#" + b).val(c[b.toUpperCase()])
                })
            });
            
            if(b[0]['CUSTOM_SPECIFICATIONS'] != null && b[0]['CUSTOM_SPECIFICATIONS'].length != 0){
                $newtemp=[];
                $temp=b[0]['CUSTOM_SPECIFICATIONS'].split(",");
                $.each($temp, function(i, obj){
                    $newtemp[i] = obj.split(":::");
                });
                
                var index = 1;
                for($i=0;$i<$newtemp.length;$i++){
                    var table=document.getElementById("custom_spec");
                    var row=table.insertRow(table.rows.length);
                        
                    var cell1=row.insertCell(0);
                    var t2=document.createElement("input");
                        t2.type = 'text';
                        t2.id = "key"+index;
                        t2.value = $newtemp[$i][0];
                        t2.style.backgroundColor = '#3c3e47';
                        t2.style.marginBottom = '10px';
                        cell1.appendChild(t2);
                        document.getElementById(t2.id).readOnly = true;
        
                    var cell2=row.insertCell(1);
                    var t3=document.createElement("input");
                        t3.type = 'text';
                        t3.id = "value"+index;
                        t3.value = $newtemp[$i][1];
                        t3.style.backgroundColor = '#3c3e47';
                        t3.style.marginBottom = '10px';
                        cell2.appendChild(t3);
                        document.getElementById(t3.id).readOnly = true;
                                
                    index++;
                }
            }
            
            $("#loading_modal").on("hidden.bs.modal", function(a) {
                $("#veh_modal").modal("show");
                $("#loading_modal").off("hidden.bs.modal")
            });
            fuelbuddy.afterCall()
        })
    }, "html");
    $("#add-vehicle-submit-button").unbind();
    $("#add-vehicle-submit-button").click(function() {
        fuelbuddy.editVehicle()
    })
};
fuelbuddy.vehiclesBehavior = function() {
    $("#vehicles_area").empty();
    fuelbuddy.vehIds = [];
    fuelbuddy.beforeCall();
    jQuery.getJSON(fuelbuddy.VEH_READ_PHP, "", function(a) {
        $.each(a, function(a, c) {
            if (c.VEHID) {
                var d = null == c.PICTURE || "" == c.PICTURE ? "no_image_sq.png" : c.PICTURE;
                $("#vehicles_area").append($("#vehicle_template").clone().removeClass("template").html().replace("VEHICLE_NAME", c.VEHID).replace("VEHICLE_ID", c.VEHID).replace("VEHICLE_ID", c.VEHID).replace("data:image/gif;base64,R0lGODlhAQABAAD/ACwAAAAAAQABAAACADs=",
                    fuelbuddy.IMAGES_PREFIX + d).replace("_ID", c._ID));
                fuelbuddy.vehIds.push(c.VEHID)
            }
        });
        $("#vehicle_template").remove();
        $("#add-veh-button").click(function() {
            fuelbuddy.getAddVehicleFragment()
        });
        $(".delete-veh-button").click(function() {
            var a = $(this).attr("data-id");
            bootbox.confirm("Are you sure you want to delete this vehicle ? ", function(c) {
                c && fuelbuddy.deleteVehicle(a)
            })
        });
        $(".edit-veh-button").click(function() {
            fuelbuddy.getEditVehicleFragment($(this).attr("data-vehid"))
        })
    }).always(function() {
        fuelbuddy.afterCall()
    })
};
fuelbuddy.isEmpty = function(a) {
    return !a || 0 === a.length
};
fuelbuddy.deleteVehicle = function(a) {
    var b = new FormData;
    b.set("source", "web");
    b.set("type", "del");
    b.set("email", fuelbuddy.current_user_email);
    b.set("_id", a);
    fuelbuddy.postRequest(b, fuelbuddy.VEH_UPDATE_PHP, function(a) {
        0 != a.success && fuelbuddy.updateVehicleDropdown(fuelbuddy.updateMainFragment)
    }, function(a) {})
};
fuelbuddy.addVehicle = function() {
    var a = new FormData;
    a.set("source", "web");
    jQuery.each($("#add_vehicle_form").serializeArray(), function(b, d) {
        a.append(d.name, d.value)
    });
    jQuery.each(jQuery("#img_file")[0].files, function(b, d) {
        a.append("img_file", d);
        a.append("picture", d.name)
    });
    var b = !1;
    a.get("make") || a.get("model") ? -1 < fuelbuddy.vehIds.indexOf(a.get("make") + " " + a.get("model")) && ($("#add-vehicle-error").html("A vehicle already exists with the same make and model"), b = !0) : ($("#add-vehicle-error").html("Please enter at least one of make or model"),
        b = !0);
    if (b) return $("#add-vehicle-error").show(), !1;
    $("#add-vehicle-submit-button").html("<i class='fa fa-spinner fa-spin'> </i>  ");
    a.set("type", "add");
    a.set("vehid", (a.get("make") + " " + a.get("model")).trim());
    a.set("email", fuelbuddy.current_user_email);
    fuelbuddy.postRequest(a, fuelbuddy.VEH_UPDATE_PHP, function(a) {
        0 == a.success ? ($("#add-vehicle-error").html(a.message), $("#add-vehicle-error").show(), $("#add-vehicle-submit-button").html("Submit")) : ($("#veh_modal").modal("hide"), $("body").removeClass("modal-open"),
            $(".modal-backdrop").remove(), fuelbuddy.updateMainFragment(), fuelbuddy.updateVehicleDropdown())
    }, function(a) {
        $("#add-vehicle-error").html("An error occured on the server. Please re-try this operation or contact support.");
        $("#add-vehicle-error").show();
        $("#add-vehicle-submit-button").html("Submit")
    })
};
fuelbuddy.editVehicle = function() {
    var a = new FormData;
    a.set("source", "web");
    jQuery.each($("#add_vehicle_form").serializeArray(), function(b, d) {
        a.append(d.name, d.value)
    });
    jQuery.each(jQuery("#img_file")[0].files, function(b, d) {
        a.append("img_file", d);
        a.append("picture", d.name)
    });
    var b = !1;
    a.get("make") || a.get("model") || ($("#add-vehicle-error").html("Please enter at least one of make or model"), b = !0);
    if (b) return $("#add-vehicle-error").show(), !1;
    $("#add-vehicle-submit-button").html("<i class='fa fa-spinner fa-spin'> </i>  ");
    a.set("type", "edit");
    a.set("vehid", (a.get("make") + " " + a.get("model")).trim());
    a.set("email", fuelbuddy.current_user_email);
    fuelbuddy.postRequest(a, fuelbuddy.VEH_UPDATE_PHP, function(a) {
        0 == a.success ? ($("#add-vehicle-error").html(a.message), $("#add-vehicle-error").show(), $("#add-vehicle-submit-button").html("Submit")) : ($("#veh_modal").modal("hide"), $("body").removeClass("modal-open"), $(".modal-backdrop").remove(), fuelbuddy.updateMainFragment(), fuelbuddy.updateVehicleDropdown())
    }, function(a) {
        $("#add-vehicle-error").html("An error occured on the server. Please re-try this operation or contact support.");
        $("#add-vehicle-error").show();
        $("#add-vehicle-submit-button").html("Submit")
    })
};
fuelbuddy.logBehavior = function() {
    $("#search_date_picker").datepicker();
    $("#search_date_picker").val("");
    $("#service_type_search_dropdown").off("change");
    $("#service_type_search_dropdown").change(function() {
        $("#search_sort option[value='dist']").remove();
        "0" != $("#service_type_search_dropdown").val() && "3" != $("#service_type_search_dropdown").val() || $("#search_sort").append($("<option>", {
            value: "dist",
            text: "Distance"
        }))
    });
    $(".add-log-button").click(function() {
        fuelbuddy.getAddFragment($(this).attr("data-logtype"))
    });
    fuelbuddy.beforeCall();
    jQuery.getJSON(fuelbuddy.LOGS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id, "", function(a) {
        $("#search_btn").click(function() {
            $("#search_box").toggle();
            $("#search_box").is(":visible") ? $("#search_btn").html("Hide") : $("#search_btn").html("Filter")
        });
        $("#do_search_btn").click(function() {
            fuelbuddy.searchLogs()
        });
        $("#reset_search_btn").click(function() {
            fuelbuddy.resetSearchLogs()
        });
        fuelbuddy.loadLogTable("logs_table", "", a, !1)
    }).always(function() {
        fuelbuddy.afterCall()
    })
};
fuelbuddy.showLastFiveLogs = function() {
    $("#mini-logs-table").append("<tr id='log-loading-line'><td colspan='4'><i class='fa fa-spinner fa-spin'></i>  Loading ...</td></tr>");
    
    //change this to swap limit and vehid
    jQuery.getJSON(fuelbuddy.LOGS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id + '&limit=' + 5, "", function(a) {
        $("#log-loading-line").remove();
        fuelbuddy.loadLogTable("mini-logs-table", "", a, !1, !0)
    })
    
    // jQuery.getJSON(fuelbuddy.LOGS_PHP + "?limit=5&vehid=" + fuelbuddy.current_vehicle_id, "", function(a) {
    //     $("#log-loading-line").remove();
    //     fuelbuddy.loadLogTable("mini-logs-table", "", a, !1, !0)
    // })
};
fuelbuddy.searchLogs = function() {
    $("#logs_table tbody").empty();
    fuelbuddy.beforeCall();
    jQuery.getJSON(fuelbuddy.LOGS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id + "&sortBy=" + $("#search_sort").val(), "", function(a) {
        fuelbuddy.loadLogTable("logs_table", "", a, !0)
    }).always(function() {
        fuelbuddy.afterCall()
    })
};
fuelbuddy.resetSearchLogs = function() {
    $("#odometer_search_input").val("");
    $("#odometer_search_dropdown").val("gt");
    $("#service_type_search_dropdown").val("");
    $("#search_date_picker").val("");
    $("#date_search_dropdown").val("gt");
    $("#search_logs_input").val("");
    $("#logs_table tbody").empty();
    fuelbuddy.beforeCall();
    jQuery.getJSON(fuelbuddy.LOGS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id, "", function(a) {
        fuelbuddy.loadLogTable("logs_table", "", a, !1)
    }).always(function() {
        fuelbuddy.afterCall()
    })
};
fuelbuddy.beforeCall = function() {
    $("#loading_modal").modal("show")
};
fuelbuddy.afterCall = function() {
    $("#loading_modal").modal("hide")
};
fuelbuddy.setCurrentUserEmail = function() {
    fuelbuddy.current_user_email = fuelbuddy.global_settings.email
};
fuelbuddy.showMobileWarning = function() {
    var a = !1;
    if (/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|ipad|iris|kindle|Android|Silk|lge |maemo|midp|mmp|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows (ce|phone)|xda|xiino/i.test(navigator.userAgent) || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(navigator.userAgent.substr(0,
            4))) a = !0;
    a && ($("#mobile-warning").show(), $("#mobile-warning-close").click(function() {
        $("#mobile-warning").hide()
    }))
};
$(document).on("click", ".navbar-collapse.in", function(a) {
    $(a.target).is("a") && $(this).collapse("hide")
});
fuelbuddy.getAverage = function(a, b) {
    var c = 0,
        d = 0;
    $.each(a, function(a, h) {
        c += parseFloat(h[b]);
        d = a + 1
    });
    return c / d
};
fuelbuddy.showChart = function(a, b, c, d) {
    $("#chart-area").removeClass("hidden");
    $("#chart-title").html(b);
    $("#chart-body").html("<i class='fa fa-spinner fa-spin'></i>  Loading ...");
    jQuery.get(fuelbuddy.CHARTS_PHP + "?vehid=" + fuelbuddy.current_vehicle_id + "&startDate=" + fuelbuddy.current_start_date + "&endDate=" + fuelbuddy.current_end_date + "&chart-name=" + a, "", function(a) {
        0 == a.length ? $("#chart-body").html("No matching data found") : (a = c(a), $("#chart-body").empty(), d(a))
    }, "json")
};
fuelbuddy.showSEcharts = function(a, b) {
    var c;
    c = 0 < a.indexOf("per-day") ? function(a) {
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: a,
            xkey: "date",
            ykeys: ["cost"],
            labels: ["cost"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    } : function(b) {
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: b,
            xkey: "date",
            ykeys: ["cost"],
            labels: ["cost"],
            goals: [fuelbuddy.dashboard_stats[a]],
            goalStrokeWidth: 1,
            goalLineColors: ["#e0a900"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    };
    fuelbuddy.showChart(a, b, function(a) {
        var b = [];
        $.each(a, function(a, c) {
            var d = new Date(parseInt(c.date)),
                d = ("0" + d.getDate()).slice(-2) + "/" + ("0" + (d.getMonth() + 1)).slice(-2) + "/" + d.getFullYear();
            b.push({
                date: d,
                cost: parseFloat(c.cost).toFixed(2)
            })
        });
        return b
    }, c)
};
fuelbuddy.showServiceCostPerDistanceChart = function() {
    fuelbuddy.showSEcharts("service-cost-per-distance", "Service Cost/" + fuelbuddy.global_settings.distance)
};
fuelbuddy.showServiceCostPerDayChart = function() {
    fuelbuddy.showSEcharts("service-cost-per-day", "Service Cost/day")
};
fuelbuddy.showExpenseCostPerDistanceChart = function() {
    fuelbuddy.showSEcharts("expense-cost-per-distance", "Expense Cost/" + fuelbuddy.global_settings.distance)
};
fuelbuddy.showExpenseCostPerDayChart = function() {
    fuelbuddy.showSEcharts("expense-cost-per-day", "Expense Cost/day")
};
fuelbuddy.showAvgFuelEfficiencyChart = function() {
    fuelbuddy.showChart("avg-fuel-efficiency", "Avg Fuel Efficiency", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + e.getDate()).slice(-2) + "/" + ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear(),
                h = "L/100km" === fuelbuddy.global_settings.consumption ? 100 / parseFloat(d.consumption) : parseFloat(d.consumption);
            b.push({
                date: e,
                consumption: h
            })
        });
        return b
    }, function(a) {
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: a,
            xkey: "date",
            goals: [fuelbuddy.getAverage(a, "consumption")],
            goalStrokeWidth: 1,
            goalLineColors: ["#e0a900"],
            ykeys: ["consumption"],
            labels: ["consumption"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    })
};
fuelbuddy.showPricePerVolumeChart = function() {
    fuelbuddy.showChart("avg-price-per-volume", "Avg Price", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + e.getDate()).slice(-2) + "/" + ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear();
            b.push({
                date: e,
                cost: parseFloat(d.cost).toFixed(3)
            })
        });
        return b
    }, function(a) {
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: a,
            goals: [fuelbuddy.getAverage(a, "cost")],
            goalStrokeWidth: 1,
            goalLineColors: ["#e0a900"],
            xkey: "date",
            ykeys: ["cost"],
            labels: ["cost"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(3)
            }
        })
    })
};
fuelbuddy.showDistanceBetweenFillupsChart = function() {
    fuelbuddy.showChart("distance-between-fillups", "Distance Between Fill-Ups", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + e.getDate()).slice(-2) + "/" + ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear();
            b.push({
                date: e,
                dist: parseFloat(d.dist).toFixed(2)
            })
        });
        return b
    }, function(a) {
        var b = 1E4,
            c = 0;
        $.each(a, function(a, e) {
            c += parseFloat(e.dist);
            c /= a + 1;
            parseFloat(e.dist) < b && (b = parseFloat(e.dist))
        });
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: a,
            xkey: "date",
            ykeys: ["dist"],
            labels: ["dist"],
            goals: [fuelbuddy.getAverage(a, "dist")],
            goalStrokeWidth: 1,
            goalLineColors: ["#e0a900"],
            parseTime: !1,
            ymin: b - 50,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    })
};
fuelbuddy.showFillUpsPerMonthChart = function() {
    fuelbuddy.showChart("fill-ups-per-month", "Fill-Ups Per Month", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear();
            b.push({
                date: e,
                fillups: parseInt(d.fillups)
            })
        });
        return b
    }, function(a) {
        Morris.Bar({
            element: "chart-body",
            barColors: ["#e0a900"],
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            data: a,
            xkey: "date",
            ykeys: ["fillups"],
            labels: ["Fillups"]
        })
    })
};
fuelbuddy.showFuelCostByDistanceChart = function() {
    fuelbuddy.showChart("fuel-cost-per-distance", "Fuel Cost/" + fuelbuddy.global_settings.distance, function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + e.getDate()).slice(-2) + "/" + ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear();
            b.unshift({
                date: e,
                cost: parseFloat(d.cost).toFixed(2),
                dist: parseFloat(d.dist).toFixed(2)
            })
        });
        return b
    }, function(a) {
        var b = 0,
            c = 0;
        $.each(a, function(a, d) {
            b += parseFloat(d.cost) * parseFloat(d.dist);
            c += parseFloat(d.dist)
        });
        var d = (b / c).toFixed(2);
        console.log("Avg cost per mile = " + d);
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: a,
            xkey: "date",
            ykeys: ["cost"],
            goals: [d],
            goalStrokeWidth: 1,
            goalLineColors: ["#e0a900"],
            labels: ["cost"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    })
};
fuelbuddy.showFuelCostByDayChart = function() {
    fuelbuddy.showChart("fuel-cost-per-day", "Fuel Cost/day", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + e.getDate()).slice(-2) + "/" + ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear();
            b.push({
                date: e,
                cost: parseFloat(d.cost).toFixed(2)
            })
        });
        return b
    }, function(a) {
        Morris.Area({
            element: "chart-body",
            lineColors: ["#e0a900"],
            data: a,
            xkey: "date",
            ykeys: ["cost"],
            labels: ["cost"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    })
};
fuelbuddy.showFuelCostByMonthChart = function() {
    fuelbuddy.showChart("fuel-cost-per-month", "Fuel Cost/month", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            var e = new Date(parseInt(d.date)),
                e = ("0" + (e.getMonth() + 1)).slice(-2) + "/" + e.getFullYear();
            b.push({
                date: e,
                cost: parseFloat(d.cost).toFixed(2)
            })
        });
        return b
    }, function(a) {
        Morris.Bar({
            element: "chart-body",
            barColors: ["#e0a900"],
            data: a,
            xkey: "date",
            goals: [fuelbuddy.getAverage(a, "cost")],
            goalStrokeWidth: 1,
            goalLineColors: ["#e0a900"],
            ykeys: ["cost"],
            labels: ["cost"],
            parseTime: !1,
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            yLabelFormat: function(a) {
                return a.toFixed(2)
            }
        })
    })
};
fuelbuddy.showTaxDeductionByTypeChart = function() {
    fuelbuddy.showChart("trip-tax-deduction-by-type", "Trip Tax Deduction by Type", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            b.push({
                cost: d.cost,
                type: d.type
            })
        });
        return b
    }, function(a) {
        Morris.Bar({
            element: "chart-body",
            barColors: ["#e0a900"],
            data: a,
            xkey: "type",
            ykeys: ["cost"],
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            labels: ["cost"]
        })
    })
};
fuelbuddy.showTripDistanceByTypeChart = function() {
    fuelbuddy.showChart("trip-dist-by-type", "Trip Distance by Type", function(a) {
        var b = [];
        $.each(a, function(a, d) {
            b.push({
                dist: d.dist,
                type: d.type
            })
        });
        return b
    }, function(a) {
        Morris.Bar({
            element: "chart-body",
            barColors: ["#e0a900"],
            data: a,
            xkey: "type",
            ykeys: ["dist"],
            fillOpacity: .85,
            pointSize: 2,
            lineWidth: 2,
            hideHover: "auto",
            labels: ["dist"]
        })
    })
};