<html lang="en">
  <head>
    <meta name="google-signin-scope" content="email">
    <meta name="google-signin-client_id" content="336428349177-ltd2t026eo1b9bvu9o8ic8ud0d5a0mml.apps.googleusercontent.com">
    <!-- Bootstrap Core CSS -->
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <!-- Custom Fonts -->
    <link href="font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
	<!-- jQuery -->
    <script src="js/jquery.js"></script>
  </head>
  <body>
	
  
  <div class="col-lg-4 col-md-4" style="padding-top:50px; padding-left: 50px">
	  <div class="panel panel-default">
		  <div class="panel-heading" style="background:#6399ad">
			  <h3 class="panel-title"><img src="http://fuelbuddy-app.com/images/logo.png"></img><span style="padding-left: 5px;"><sup><small><span style="color: #fff; font-weight: bold; font-family: 'Arial'">BETA</span></small></sup></span></h3>
		  </div>
		  <div class="panel-body">
			  <div id="welcome-message">
				  Welcome to Fuel Buddy. Please sign in using your Google account.
				  <br />
				  <br />
			  </div>
		      <div id="loading" style="display:none">
				<i class="fa fa-spinner fa-spin" aria-hidden="true"></i>  Loading ...
				  <br />
				  <br />
	  	      </div>
			  <div id="signin-button" class="g-signin2" data-onsuccess="onSignIn" data-theme="dark"></div>
		  </div>
		  <div id="failure" class="alert alert-danger" role="alert" style="display:none">
			  Error in login. Please try again.
		  </div>
		  <div id="nobeta" class="alert alert-danger" role="alert" style="display:none; margin: 10px;">
			  You do not have access to the Fuel Buddy website. Please <a href="http://fuelbuddy-app.com/#contact">contact us</a> if
			  you wish to join the beta program.
		  </div>
	  </div>
  </div>
  
    <script>

      function onSigninFailure(error) {
        console.log(error);
      }
      function renderButton() {
        gapi.signin2.render('signin-button', {
          'scope': 'profile email',
          'width': 240,
          'height': 50,
          'longtitle': true,
          'theme': 'dark',
          'onsuccess': onSigninSuccess,
          'onfailure': onSigninFailure
        });
      }
	  
	  
      function onSigninSuccess(googleUser) {
        // Useful data for your client-side scripts:
        var profile = googleUser.getBasicProfile();

        // The ID token you need to pass to your backend:
        var id_token = googleUser.getAuthResponse().id_token;
        console.log("ID Token: " + id_token);
		$("#loading").show();
		$("#signin-button").hide();
		
		$.post("checklogin.php",
		    { "id_token": id_token},
			function(response) {
				if (response['status'] == 'success') {
					location.href = "index.php#dashboard";
				} else if (response['status'] == 'nobeta') {
					$("#nobeta").show();
					$("#loading").hide();
					$("#signin-button").hide();
					$("#welcome-message").hide();
				} else {
					$("#failure").show();
					console.log('Error in login');
					$("#loading").hide();
					("#signin-button").show();
				}
			},
			"json");
      };
    </script>
	  
      <script src="https://apis.google.com/js/platform.js?onload=renderButton" async defer></script>
	  
  </body>
</html>
